Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nwoods.jgo.svg
Class DefaultCDATASection

    java.lang.Object
      com.nwoods.jgo.svg.AbstractNode
          com.nwoods.jgo.svg.DefaultCDATASection

All Implemented Interfaces:
  DomCDATASection, DomNode

public class DefaultCDATASection
extends AbstractNode
implements DomCDATASection

A wrapper class for org.w3c.dom.CDATASection. By implementing the interface DomCDATASection, this class allows the com.nwoods.jgo package to provide methods that manipulate org.w3c.dom.CDATASection objects while not requiring the org.w3c.dom.CDATASection class to be present in order to build com.nwoods.jgo. JGo applications that support serialization to and from SVG XML files require this class.

Constructor Summary
`DefaultCDATASection(org.w3c.dom.CDATASection cdataSection)` Create a new DefaultCDATASection

Method Summary
`org.w3c.dom.CDATASection` | `getCDATASection()` Return the org.w3c.dom.CDATASection associated with this DefaultCDATASection
`java.lang.String` | `getTextString()` The character data of the node that implements this interface.

Methods inherited from class com.nwoods.jgo.svg.AbstractNode
`appendChild, elementCast, getFirstChild, getFirstChildElement, getFirstChildText, getNextSibling, getNextSiblingElement, getNextSiblingJGoClassElement, getNextSiblingText, getNode, getParentNode, isElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.nwoods.jgo.DomNode
`appendChild, elementCast, getFirstChild, getFirstChildElement, getFirstChildText, getNextSibling, getNextSiblingElement, getNextSiblingJGoClassElement, getNextSiblingText, getParentNode, isElement`

Constructor Detail

### DefaultCDATASection

    public DefaultCDATASection(org.w3c.dom.CDATASection cdataSection)

  Create a new DefaultCDATASection

Parameters:
  `cdataSection` - a CDATASection object

Method Detail

### getCDATASection

    public org.w3c.dom.CDATASection getCDATASection()

  Return the org.w3c.dom.CDATASection associated with this DefaultCDATASection

  Returns:
    the the org.w3c.dom.CDATASection associated with this DefaultCDATASection

### getTextString

    public java.lang.String getTextString()

  Description copied from interface: `DomCDATASection`
  The character data of the node that implements this interface.

  Specified by:
    `getTextString` in interface `DomCDATASection`
  Returns:
    the character data of the node that implements this interface.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD